package main

import (
	"db2code/services"
	"jollia.cn/jolib/jokode"
	"jollia.cn/jolib/jokode/log"
)

func main() {
	svr := &services.GenService{}
	if err := log.InitLogger("log/gen.log"); err != nil {
		panic(err)
	}

	log.Warnf("service %s starting", svr.GetName())
	defer log.Warnf("service %s stopped", svr.GetName())

	if err := jokode.RegService(svr); err != nil {
		panic(err)
	}

	if err := jokode.RunServices(); err != nil {
		panic(err)
	}

	jokode.WaitServices()
}
